Loading...
Searching...
No Matches
casacore::TVec_global_functions_enum Struct Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

More...

`#include <TVec.h>`

## Public Types

enum | TabVecTag { TagScaCol , TagTemp }

## Detailed Description

Enumeration of possible table vectors

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Intended use:

Internal

### Synopsis

Define the type of table vectors. Alas, this enum has to be defined outside the class, because some compilers do not support an enum in a templated class.

Definition at line 48 of file TVec.h.

## Member Enumeration Documentation

## TabVecTag

enum casacore::TVec_global_functions_enum::TabVecTag

Enumerator
TagScaCol | Table Vector is a scalar column.
TagTemp | Table Vector is a temporary vector (i.e. a regular vector).

Definition at line 49 of file TVec.h.

The documentation for this struct was generated from the following file:

- tables/Tables/TVec.h